%define version 1.93g
%define release %mkrel 1

Summary: Graphic for netCDF data file 
Name: ncview
Version: %version
Release: %release
License: GPLv3
Group: Sciences/Other
Source: ftp://cirrus.ucsd.edu/pub/ncview/ncview-%{version}.tar.gz
Patch1:         ncview-1.92e-netpbm.patch
#Patch0:         ncview-1.92e-Makefile.in.patch

URL: http://meteora.ucsd.edu/~pierce/ncview_home_page.html
BuildRequires:  netcdf-devel udunits-devel libnetpbm-devel
BuildRequires:  X11-devel
BuildRequires:  netcdf-static-devel
BuildRoot: %_tmppath/%name-%version-root

%description
Ncview is a visual browser for netCDF format files.  Typically you
would use ncview to get a quick and easy, push-button look at your
netCDF files.  You can view simple movies of the data, view along
various dimensions, take a look at the actual data values, change
color maps, invert the data, etc.

%prep
%setup -q 
#%patch0 -p1
%patch1 -p0

%build
%configure --with-netcdf-libdir=%{_libdir} --with-udunits_libdir=%{_libdir} \
  --with-ppm_libdir=%{_libdir} --datadir=%{_datadir}/%{name} \
  --x-includes=%{_includedir}/X11 \
  --x-libraries=%{_libdir} \
  --with-netcdf_incdir=%{_includedir}/netcdf-3

%make 

%install
rm -rf %{buildroot}
export XAPPLRESDIR="%{buildroot}%{_sysconfdir}/X11/app-defaults"
mkdir -p "%{buildroot}%{_sysconfdir}/X11/app-defaults"
%makeinstall NCVIEW_LIB_DIR=%{buildroot}%{_datadir}/ncview BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1
chmod 644 %{buildroot}%{_sysconfdir}/X11/app-defaults/Ncview
chmod 644 %{buildroot}%{_mandir}/man1/*

# Menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%{_bindir}/%{name}
Icon=%{name}
Categories=Science;Other;
Name=%{name}
Comment=Graphic for netCDF data file
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
[ %{buildroot} != '/' ] && rm -fr %{buildroot}

%files
%defattr(-, root, root, -)
%doc COPYING INSTALL README
%{_bindir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%{_mandir}/man1/*



%changelog
* Wed Mar 11 2009 Emmanuel Andry <eandry@mandriva.org> 1.93g-1mdv2009.1
+ Revision: 353802
- New version 1.93g
- drop patch 0
- add menu item

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.93c-3mdv2009.0
+ Revision: 253657
- rebuild

* Tue Feb 19 2008 Olivier Thauvin <nanardon@mandriva.org> 1.93c-1mdv2008.1
+ Revision: 172609
- 1.93c

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 20:54:47 (55139)
- 1.93b

* Wed Aug 09 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/09/06 20:15:11 (55121)
Import ncview

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.92e-2mdk
- Add X11-devel as BuildRequires for X11/Core.h

* Thu Sep 29 2005 Olivier Thauvin <nanardon@mandriva.org> 1.92e-1mdk
- From Philippe Weill <Philippe.Weill@aero.jussieu.fr>
    - Initial SPEC

